module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    less: {
      main: {
        options: {
          plugins: [
            new(require('less-plugin-autoprefix'))({
              browsers: ['last 3 versions']
            }),
          ]
        },
        files: {
          'lib/main.css': 'src/index.less'
        }
      }
    },
    cssmin: {
      target: {
        files: {
          'lib/main.min.css': 'lib/main.css'
        }
      }
    },
    concat: {
      options: {
        banner: '/*! <%= pkg.name %> v<%= pkg.version %> */\n'
      },
      main: {
        src: [
          'node_modules/bootstrap/dist/css/bootstrap.min.css',
          'lib/main.min.css',
        ],
        dest: 'lib/<%= pkg.name %>.min.css'
      }
    },
    watch: {
      options: {
        livereload: true,
      },
      less: {
        options: {
          livereload: true
        },
        files: ['src/*.less'],
        tasks: ['less']
      }
    }
  })

  // These plugins provide necessary tasks.
  require('load-grunt-tasks')(grunt, {
    scope: 'devDependencies'
  })

  // Default task(s).
  grunt.registerTask('default', ['less', 'cssmin', 'concat'])
}